<?php
/*******************************************************************************

    Author ......... Jimmy Conner
    Contact ........ jimmy@sqmail.org
    Home Site ...... http://cactiusers.org
    Program ........ SSL Redirector
    Purpose ........ This plugin will force your users to access Cacti in SSL mode

*******************************************************************************/

function plugin_init_ssl() {
	global $config;
	if (!isset($_SERVER['HTTPS']) && isset($_SERVER['HTTP_HOST']) && isset($_SERVER['REQUEST_URI'])) {
		Header('Location: https://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'] . "\n\n");
		exit;
	}
}

function ssl_version () {
	return array( 'name' 		=> 'ssl',
			'version' 	=> '0.1',
			'longname'	=> 'SSL Redirector',
			'author'	=> 'Jimmy Conner',
			'homepage'	=> 'http://cactiusers.org',
			'email'		=> 'jimmy@sqmail.org',
			'url'		=> 'http://cactiusers.org/cacti/versions.php'
			);
}

?>